API referenceWaterfalls
Waterfall run events
Progress events of a run after a sequence number (the SSE stream's JSON form).
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^wf_[a-z0-9]{8,40}$run_id*string
Match
^wfr_[a-z0-9]{8,64}$Query Parameters
after?|
Range
0 <= valueDefault
0Response Body
application/json
application/json
curl -X GET "https://example.com/v1/waterfalls/string/runs/string/events.json"{ "items": [ { "seq": 0, "type": "run.started", "at_ms": 0, "data": { "property1": null, "property2": null } } ]}Roll back a waterfall POST
Serve an earlier published version again. Nothing is deleted.
Run a waterfall POST
Run a waterfall on one input. Sync by default; Prefer: wait=N (or wait) falls back to 202, Prefer: respond-async (or async: true) returns 202 with a run to poll, stream (/events) or receive by webhook. version draft runs the test runner.